Album: Laknat Suria
Artists:
- Circlejourney
Date: May 24, 2021
Date Added: April 13, 2024
URLs:
- https://open.spotify.com/album/6SyoeZROFD50mh8I41jHqj
- https://youtu.be/jS1G-AvLvIw
Cover Artists:
- Farid Nad
Cover Art File Extension: png
Color: '#FF948E'
Groups:
- Circlejourney
- Beyond
Commentary: |-
    <i>Circlejourney:</i> ([Twitter commentary](https://twitter.com/circlejourney/status/1399718547991891969))
    Another music commission from May--a battle theme for @farideacs' D&D OC Ida (art also by him)! I've never thought of traditional Malay instruments, electronic and rock combined like this and love how well it works. Thank you for the comm!
---
Track: Laknat Suria
Duration: '02:58'
URLs:
- https://open.spotify.com/track/4Gg1reDCVog5w1UQqU73vd
- https://youtu.be/jS1G-AvLvIw
